@import "variables/colors";
@import "variables/font";

.item {
  display: flex;
  gap: 5px;
  &--dashed {
    display: grid;
    grid-template-columns: auto 1fr auto;
  }
  p {
    margin: 0;
    padding: 5px 0;
    font-size: 16px;
  }
  &__title {
    font-family: $roboto-regular;
    color: $neutral-60;
    &.bold {
      font-family: $roboto-bold;
    }
    &::first-letter {
      text-transform: capitalize;
    }
  }
  &__dashed-divider {
    border-bottom: 1px dashed #e2e4e2;
    position: relative;
    top: -10px;
  }
  &__value {
    color: $neutral-80;
    font-family: $roboto-regular;
    padding: 0;
    &.highlighted {
      font-family: $roboto-medium;
      color: $caribbean-green-80;
    }
    &.bold {
      font-family: $roboto-bold;
    }
  }
}

.divider {
  height: 1px;
  width: 100%;
  background-color: $neutral-30;
  margin: 0.5rem auto;
}
